Subject: [PATCH 0/4] virtio_net: MAC filtering

From: Alex Williamson <[email-masked]>
Date: Tue, 13 Jan 2009 14:23:15 -0700

Here's an update to the patches I sent last week.  The goal of this
series is to add RX mode bits, MAC table filtering, and I'll follow up
with VLAN filtering, so that the virtio_net device doesn't always run in
promiscuous mode.

This version now uses a virtqueue for outbound commands for setting mode
bits and table entries.  The size of the MAC filter table can be
configured by the guest at initialization.  I'm no longer bloating the
I/O port space of the virtnet device, in fact, I couldn't find any
reason to store the RX mode bits in the status register, so I also moved
those into the virtqueue channel so we have less shared data.  Please
comment.  Thanks,

Alex

-- 
Alex Williamson                             HP Open Source & Linux Org.